/* IMPORT */
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vscode = require("vscode");
const consts_1 = require("./consts");
const completion_1 = require("./todo/providers/completion");
const symbols_1 = require("./todo/providers/symbols");
const document_1 = require("./todo/decorators/document");
const changes_1 = require("./todo/decorators/changes");
const utils_1 = require("./utils");
/* ACTIVATE */
const activate = function (context) {
    utils_1.default.init.language();
    context.subscriptions.push(vscode.languages.registerCompletionItemProvider(consts_1.default.languageId, new completion_1.default(), ...completion_1.default.triggerCharacters), vscode.languages.registerDocumentSymbolProvider(consts_1.default.languageId, new symbols_1.default()), vscode.window.onDidChangeActiveTextEditor(() => document_1.default.update()), vscode.workspace.onDidChangeConfiguration(() => document_1.default.update()), vscode.workspace.onDidChangeTextDocument(changes_1.default.onChanges));
    document_1.default.update();
    return utils_1.default.init.commands(context);
};
exports.activate = activate;
//# sourceMappingURL=extension.js.map