/* IMPORT */
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vscode = require("vscode");
const consts_1 = require("../../consts");
const line_1 = require("./line");
/* DECORATION TYPES */
const TODO_CANCEL = vscode.window.createTextEditorDecorationType({
    color: consts_1.default.colors.cancel,
    rangeBehavior: vscode.DecorationRangeBehavior.ClosedOpen
});
/* TODO CANCEL */
class TodoCancel extends line_1.default {
    constructor() {
        super(...arguments);
        this.TYPES = [TODO_CANCEL];
    }
    getItemRanges(todoCancel, negRange) {
        return [this.getRangeDifference(todoCancel.text, todoCancel.range, negRange || [consts_1.default.regexes.tag, consts_1.default.regexes.formattedCode])];
    }
}
/* EXPORT */
exports.default = TodoCancel;
//# sourceMappingURL=todo_cancel.js.map