/* IMPORT */
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ = require("lodash");
const vscode = require("vscode");
const consts_1 = require("../../consts");
const utils_1 = require("../../utils");
const document_1 = require("../document");
/* SYMBOLS */
class Symbols {
    provideDocumentSymbols(textDocument) {
        const doc = new document_1.default(textDocument), projects = doc.getProjects(), projectsDatas = [];
        return projects.map((project, i) => {
            const parts = project.line.text.match(consts_1.default.regexes.projectParts), indentation = parts[1].replace(' ', '\u00A0\u00A0'), // Normal spaces get trimmed, replacing them with NBSP
            level = utils_1.default.ast.getLevel(parts[1]), name = _.trim(parts[2]), parentData = _.findLast(projectsDatas, data => data.level < level), parentName = parentData ? parentData.name : null;
            projectsDatas.push({ level, name });
            const location = new vscode.Location(textDocument.uri, project.range.start);
            return new vscode.SymbolInformation(`${indentation}${name}`, vscode.SymbolKind.Field, parentName, location);
        });
    }
}
/* EXPORT */
exports.default = Symbols;
//# sourceMappingURL=symbols.js.map